unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls,
  ImagingTypes,
  Imaging,
  ImagingClasses,
  ImagingComponents,
  ImagingCanvases,
  ImagingBinary,
  ImagingUtility,
  ImagingJpeg2000;

type

  { TForm1 }

  TForm1 = class(TForm)
    Image: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    FBitmap: TImagingBitmap;
    FImage: TSingleImage;
    Stream: TMemoryStream;
  public
    { public declarations }

  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FImage := TSingleImage.Create;
  FBitmap := TImagingBitmap.Create;
  Image.Picture.Graphic := FBitmap;

//  file 1: 8-bit JPEG Lossy Gray.dcm
//  file 2: 8-bit JPEG Lossless Gray.dcm
//  file 3: 8-bit J2K Lossy Gray.dcm
//  file 4: 8-bit J2K Lossless Gray.dcm

  Stream := TMemoryStream.Create;
  Stream.Seek(1680, soFromBeginning); // skip dicom header
  Stream.LoadFromFile('8-bit JPEG Lossless Gray.dcm');
  FImage.LoadFromStream(Stream);

  Image.Picture.Graphic.Assign(FImage);

end;

initialization
  {$I Unit1.lrs}

end.

